Skip to main content
POST
JavaScript

Authorizations

Authorization
string
header
required

Bearer token via Authorization header

Headers

idempotency-key
string

Idempotency-Key: 1-255 printable ASCII characters. Same key with a different request body is a 422 idempotency_key_reused. A retryable in-flight duplicate is a 409 with Retry-After and x-should-retry: true; a terminal duplicate is a 409 with x-should-retry: false. A replay returns the current resource state with Idempotent-Replayed: true.

Required string length: 1 - 255
Pattern: ^[\x21-\x7E]{1,255}$
Example:

"b3f6a9f0-6f1a-4e9a-9e7a-9c9b6b6a5a3f"

Body

application/json
bundleId
string
required
Required string length: 1 - 255
Pattern: ^[a-zA-Z][a-zA-Z0-9_]*(\.[a-zA-Z][a-zA-Z0-9_-]*)+$
displayName
string
required
Minimum string length: 1
files
object[]
required
Minimum array length: 1
versionCode
number
required
versionName
string
required
Minimum string length: 1
country
string
default:US

Country code for Search Results

Example:

"US"

description
string
developerName
string
iconURL
platform
enum<string>
default:android
Available options:
android,
ios
targetSdk
number

Response

Signed upload URL created successfully

appId
string<uuid>
required

App ID

r2UploadUrls
object[]
required

Pre-signed upload URLs for uploading app files

versionId
string<uuid>
required

App version ID